%define upstream_name	 Rose-DateTime
%define upstream_version 0.540

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    DateTime helper functions and objects
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Rose::Object) >= 0.820.0
BuildArch:  noarch

%description
The Rose::DateTime::* modules provide a few convenience functions and
objects for use with DateTime dates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man*/*
%{perl_vendorlib}/Rose

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.540.0-9.mga10
+ Revision: 2200583
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.540.0-8.mga9
+ Revision: 1805588
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.540.0-7.mga8
+ Revision: 1497087
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.540.0-6.mga7
+ Revision: 1270954
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.540.0-5.mga6
+ Revision: 1032914
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.540.0-4.mga6
+ Revision: 936673
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.540.0-3.mga5
+ Revision: 738897
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.540.0-2.mga5
+ Revision: 686113
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 sander85 <sander85> 0.540.0-1.mga5
+ Revision: 588181
- update to 0.540

* Mon Oct 21 2013 umeabot <umeabot> 0.539.0-2.mga4
+ Revision: 539107
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 0.539.0-1.mga4
+ Revision: 491455
- update to 0.539

* Fri Jun 07 2013 jquelin <jquelin> 0.538.0-1.mga4
+ Revision: 439809
- update to 0.538

* Sun Jan 13 2013 umeabot <umeabot> 0.537.0-2.mga3
+ Revision: 372310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.537.0-1.mga2
+ Revision: 107394
- update to 0.537

* Wed Feb 16 2011 jquelin <jquelin> 0.535.0-1.mga1
+ Revision: 52690
- update to 0.535

* Mon Jan 24 2011 jquelin <jquelin> 0.534.0-1.mga1
+ Revision: 36531
- mageia rebuild
- imported package perl-Rose-DateTime

